=== debian/changelog ===
tevent (0.9.9~git20100522-3ubuntu1) maverick; urgency=low

  * Merge in new upstream snapshot. (LP: #636400)
  * Support building against talloc 2.0.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 13 Sep 2010 15:28:58 +0200

tevent (0.9.9~git20100522-3) experimental; urgency=low

  * Add missing dependency on pkg-config and python. Closes: #595642

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 27 Aug 2010 02:35:21 +0200

tevent (0.9.9~git20100522-2) experimental; urgency=low

  * Bump standards version to 3.9.1.
   + Inline BSD license in copyright file.
  * Add missing build dependency on Python (required by waf).
  * Depend on talloc >= 2.0.3.
  * Switch to Bazaar.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 26 Aug 2010 23:33:51 +0200

tevent (0.9.9~git20100522-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 May 2010 15:37:56 +0200

tevent (0.9.9~git20100514-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.
  * Use source format 3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 14 May 2010 18:12:51 +0200

tevent (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 22:40:00 +0200

tevent (0.9.6~20090604-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 05 Jun 2009 01:08:49 +0200

tevent (0.9.5~20090516-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 04:30:35 +0200

tevent (0.9.3~git20090221-1) unstable; urgency=low

  * New upstream snapshot.
  * Add dependency on libaio-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Feb 2009 23:33:20 +0100

tevent (0.9.2~git20090105-1) unstable; urgency=low

  * Initial release. (Closes: #509225)

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 06 Jan 2009 20:57:29 +0100
