=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 5.0.0), libtalloc-dev (>= 2.0.1~), libaio-dev, pkg-config, python
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/experimental

Package: libtevent0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libtevent0 (= ${binary:Version}), libtalloc-dev, ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.
