=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>> 5.0.0), libtalloc-dev (>= 2.0.1~), libaio-dev, pkg-config, python
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Build-Depends: debhelper (>> 5.0.0), libtalloc-dev (>= 2.0.1~), libaio-dev, pkg-config, python-dev
 Standards-Version: 3.9.1
-Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/experimental
+Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/unstable
 
 Package: libtevent0
 Architecture: any
